Add New Utility Provider
curl --request POST \
--url https://app.leafpress.io/utility/{property_id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://app.leafpress.io/utility/{property_id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://app.leafpress.io/utility/{property_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Sync Endpoints
Add New Utility Provider
POST
/
utility
/
{property_id}
Add New Utility Provider
Add new utility provider to specified property.
Request Params
string
Specified property ID where data will enter
Request Body
string
Account number user wants to grab
string
Link to utility portal
string
Username to login to portal
string
Password to login to portal
string
Utility provider name
Response
None⌘I
